wordpress multisite 4.0 – prosite and other wpmudev plugins updates

hello,

I am running wordpress multisite 3.8 with prosites 3.4.3.2 and some other plugins of WPMUDEV.

I will upgrade to WordPress 4.0. Which will be the best practice,

First upgrading to wordpress 4.0 than updating plugins. Or first updating plugins and upgrading to wordpress 4.0 ?